--- licenses

create table licenses (
    id bigint primary key identity (1, 1),
    [current] bit not null,
    [key] nvarchar(4000) not null,

    created_at datetimeoffset not null,
    updated_at datetimeoffset not null
);

create unique index licenses_current_uniq
on licenses(id) where [current] = 1;
